Bug 202091 - crashed when dragging file to desktop folder containment
Summary: crashed when dragging file to desktop folder containment
Status: RESOLVED FIXED
Alias: None
Product: kio
Classification: Frameworks and Libraries
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-07-31 15:30 UTC by Pascal d'Hermilly
Modified: 2010-01-21 18:41 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Pascal d'Hermilly 2009-07-31 15:30:35 UTC
Application that crashed: plasma-desktop
Version of the application: 0.3
KDE Version: 4.2.98 (KDE 4.2.98 (KDE 4.3 RC3))
Qt Version: 4.5.2
Operating System: Linux 2.6.31-4-generic x86_64
Distribution: Ubuntu karmic (development branch)

What I was doing when the application crashed:
I dragged a file from dolphin using the smb:/ protocol.
A dialog box asked me if I wanted to replace the file that I already had there.
I cancelled and plasma chrashed immediatly after. 

 -- Backtrace:
Application: Plasma Workspace (kdeinit4), signal: Segmentation fault
[Current thread is 1 (Thread 0x7f40b6c77750 (LWP 3874))]

Thread 2 (Thread 0x7f4096aee950 (LWP 3877)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:261
#1  0x00007f40b66b74fb in QWaitConditionPrivate::wait (this=<value optimized out>, mutex=0x13887d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:87
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x13887d8, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:159
#3  0x00007f40b2af277c in QHostInfoAgent::run (this=0x13887c0) at kernel/qhostinfo.cpp:260
#4  0x00007f40b66b6445 in QThreadPrivate::start (arg=0x13887c0) at thread/qthread_unix.cpp:188
#5  0x00007f40b34363aa in start_thread (arg=<value optimized out>) at pthread_create.c:300
#6  0x00007f40b401bf6d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f40b6c77750 (LWP 3874)):
[KCrash Handler]
#5  0x000000000060b5a0 in QListData::shared_null ()
#6  0x00007f40b62c7dae in qDeleteAll<QList<KJob*>::const_iterator> (this=0x2984a40, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:350
#7  qDeleteAll<QList<KJob*> > (this=0x2984a40, __in_chrg=<value optimized out>) at /usr/include/qt4/QtCore/qalgorithms.h:358
#8  ~KCompositeJobPrivate (this=0x2984a40, __in_chrg=<value optimized out>) at ../../kdecore/jobs/kcompositejob.cpp:29
#9  0x00007f40b588777c in KIO::FileCopyJobPrivate::~FileCopyJobPrivate() () from /usr/lib/libkio.so.5
#10 0x00007f40b62c8b1a in ~KJob (this=0x29f1a70, __in_chrg=<value optimized out>) at ../../kdecore/jobs/kjob.cpp:69
#11 0x00007f40b5877cc7 in ~FileCopyJob (this=0x2a7c580, __in_chrg=<value optimized out>) at ../../kio/kio/job.cpp:1811
#12 0x00007f40b67ac19d in QObject::event (this=0x29f1a70, e=0x7f40b4071ba8) at kernel/qobject.cpp:1094
#13 0x00007f40b475568c in QApplicationPrivate::notify_helper (this=0x11dbb30, receiver=0x29f1a70, e=0x2a54170) at kernel/qapplication.cpp:4056
#14 0x00007f40b475c95e in QApplication::notify (this=0x11d2cd0, receiver=0x29f1a70, e=0x2a54170) at kernel/qapplication.cpp:4021
#15 0x00007f40b538b536 in KApplication::notify (this=0x11d2cd0, receiver=0x29f1a70, event=0x2a54170) at ../../kdeui/kernel/kapplication.cpp:302
#16 0x00007f40b679ccac in QCoreApplication::notifyInternal (this=0x11d2cd0, receiver=0x29f1a70, event=0x2a54170) at kernel/qcoreapplication.cpp:610
#17 0x00007f40b679d88a in QCoreApplication::sendEvent (receiver=0x0, event_type=<value optimized out>, data=0x113b300) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:213
#18 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=<value optimized out>, data=0x113b300) at kernel/qcoreapplication.cpp:1247
#19 0x00007f40b67c55b3 in QCoreApplication::sendPostedEvents (s=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:218
#20 postEventSourceDispatch (s=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:210
#21 0x00007f40b3686a8e in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#22 0x00007f40b368a458 in ?? () from /usr/lib/libglib-2.0.so.0
#23 0x00007f40b368a580 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#24 0x00007f40b67c5226 in QEventDispatcherGlib::processEvents (this=0x11db420, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:327
#25 0x00007f40b47e9afe in QGuiEventDispatcherGlib::processEvents (this=0x2a7c580, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:202
#26 0x00007f40b679b5b2 in QEventLoop::processEvents (this=<value optimized out>, flags=) at kernel/qeventloop.cpp:149
#27 0x00007f40b679b984 in QEventLoop::exec (this=0x7fff9168bfb0, flags=) at kernel/qeventloop.cpp:201
#28 0x00007f40b679db39 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:888
#29 0x00007f40aad467af in kdemain (argc=<value optimized out>, argv=<value optimized out>) at ../../../../plasma/shells/desktop/main.cpp:50
#30 0x0000000000406da8 in launch (argc=1, _name=<value optimized out>, args=<value optimized out>, cwd=<value optimized out>, envc=0, envs=<value optimized out>, reset_env=false, tty=0x0, 
    avoid_loops=false, startup_id_str=0x40a301 "0") at ../../kinit/kinit.cpp:676
#31 0x0000000000407aa0 in handle_launcher_request (sock=7, who=<value optimized out>) at ../../kinit/kinit.cpp:1168
#32 0x000000000040803f in handle_requests (waitForPid=<value optimized out>) at ../../kinit/kinit.cpp:1361
#33 0x0000000000408bf2 in main (argc=2, argv=<value optimized out>, envp=<value optimized out>) at ../../kinit/kinit.cpp:1788

Reported using DrKonqi
Comment 1 Jonathan Thomas 2009-08-01 01:08:49 UTC
Looks like a KIO crash.
Comment 2 David Faure 2009-12-16 17:16:23 UTC
SVN commit 1062999 by dfaure:

Fix crash in ~KCompositeJobPrivate after an error happens in a TransferJob.
Fixed for: 4.4
BUG: 214100
BUG: 202091
BUG: 197289
BUG: 180791
CCBUG: 218719
CCBUG: 162285


 M  +9 -2      job.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1062999
Comment 3 David Faure 2010-01-21 18:41:10 UTC
Fix backported for 4.3.5